petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCoarsen

Coarsens a DM object

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMCoarsen(DM dm, MPI_Comm comm, DM *dmc)

Collective on DM Many br

### Input Parameter

| dm | - the DM object Many br
| comm | - the communicator to contain the new DM object (or MPI_COMM_NULL) Many br

### Output Parameter

dmc -the coarsened DM Many br

Many br

### See Also

DMRefine(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex65dm.c.html
src/ksp/ksp/examples/tutorials/ex65.c.html